Name:		openttd
Version:	1.0.0
Release:	%mkrel 1
Summary:	An open source clone of the Microprose game "Transport Tycoon Deluxe" game
Summary(pt_BR):	Um clone do jogo "Transport Tycoon Deluxe" da Microprose.
Group:		Games/Other
Group(pt_BR):	Jogos
Group(es):	Juegos
License:	GPLv2
URL:		http://www.openttd.org
Source:		http://prdownloads.sourceforge.net/openttd/%{name}-%{version}-source.tar.bz2
Source1:	openttd.desktop
Source2:        http://bundles.openttdcoop.org/opengfx/releases/opengfx-0.2.3.zip
Source3:        http://bundles.openttdcoop.org/opensfx/releases/opensfx-0.2.3.zip
Source4:        http://bundles.openttdcoop.org/openmsx/releases/openmsx-0.2.1.zip
BuildRequires:	alsa-lib-devel
BuildRequires:	esound-devel
BuildRequires:	libpng-devel
BuildRequires:	SDL-devel
BuildRequires:	libz-devel
BuildRequires:	X11-devel
BuildRequires:	unzip
BuildRequires:  liblzo-devel
Requires:       TiMidity++
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
OpenTTD is an open source clone of the Microprose game "Transport Tycoon
Deluxe" game.

%description -l pt_BR
OpenTTD  uma clone do jogo "Transport Tycoon Deluxe" da Microprose.

#-------------------------------------------------------------------------------

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}


%build
%serverbuild
./configure --prefix-dir=%{_prefix}
%make

%install
make INSTALL_DIR=%{buildroot} install
rm -rf %{buildroot}%{_prefix}/share/pixmaps

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %{_sourcedir}/openttd.desktop %{buildroot}%{_datadir}/applications/

# gfx and sfx data
cd %{buildroot}%{_datadir}/games/%{name}/data
unzip %{SOURCE2}
unzip %{SOURCE3}
touch sample.cat

# msx data
cd %{buildroot}%{_datadir}/games/%{name}/gm
unzip %{SOURCE4}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_prefix}/games/openttd
%dir %{_datadir}/games/openttd
%{_datadir}/games/openttd/*
%{_datadir}/applications/openttd.desktop
%{_datadir}/doc/openttd/32bpp.txt
%{_datadir}/icons/hicolor/128x128/apps/openttd.png
%{_datadir}/icons/hicolor/16x16/apps/openttd.png
%{_datadir}/icons/hicolor/256x256/apps/openttd.png
%{_datadir}/icons/hicolor/32x32/apps/openttd.png
%{_datadir}/icons/hicolor/48x48/apps/openttd.png
%{_datadir}/icons/hicolor/64x64/apps/openttd.png
%{_docdir}/openttd/multiplayer.txt
%{_docdir}/openttd/COPYING
%{_docdir}/openttd/changelog.txt
%{_docdir}/openttd/known-bugs.txt
%{_docdir}/openttd/obg_format.txt
%{_docdir}/openttd/obm_format.txt
%{_docdir}/openttd/obs_format.txt
%{_docdir}/openttd/readme.txt
%{_mandir}/man6/openttd.6.lzma


%changelog
* Tue Apr 06 2010 Jani Välimaa <wally@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 532112
- update opengfx and opensfx
- add openmsx and require TiMidity++ for sounds
- fix license
- add missing BR
- use compiler flags on build time

  + Olivier Faurax <ofaurax@mandriva.org>
    - New release: 1.0.0

  + Sandro Cazzaniga <kharec@mandriva.org>
    - fix mixed use of spaces and tabs
    - fix %%prep

* Mon Dec 28 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.0-0.beta1mdv2010.1
+ Revision: 483120
- Update to 1.0.0-beta 1 in order to completelly remove the dependency on the
  original game data files

* Sat Dec 12 2009 trem <trem@mandriva.org> 0.7.4-2mdv2010.1
+ Revision: 477848
- add missing file opengfx and opensfx

* Tue Aug 11 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 415138
- update to new version 0.7.2

* Wed Jun 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.1-1mdv2010.0
+ Revision: 384928
- Update to new version 0.7.1

* Wed Mar 18 2009 Zombie Ryushu <ryushu@mandriva.org> 0.6.3-2mdv2009.1
+ Revision: 357539
- Fix pixmap paths in the install stage

* Mon Dec 08 2008 Zombie Ryushu <ryushu@mandriva.org> 0.6.3-1mdv2009.1
+ Revision: 311782
- Fix pixmap paths in the install stage
- Fix pixmap paths
- Version bump to 0.6.3
- Version bump to 0.6.3

* Sun Aug 03 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 262435
- update to new version 0.6.2

* Thu Apr 10 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.6.0-1mdv2009.0
+ Revision: 192551
- New upstream release: 0.6.0

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 23 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.3-1mdv2008.1
+ Revision: 101456
- New release
- New release

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-ended-with-dot

* Mon Jun 11 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2-1mdv2008.0
+ Revision: 38038
- new upstream release: 0.5.2

* Thu May 03 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.1-1mdv2008.0
+ Revision: 21468
- Import openttd



* Thu May 03 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.1-1mdv2008.0
- Initial package for OpenTTD
